% Canards
% 
% Source:   Sect. 20.3.2 of Recipes for Continuation
%
% The examples in canard_demo illustrate the application of different
% adaptive discretization algorithms to the continuation of canard orbits
% in the Van der Pol oscillator.
%
% Scripts
%   <a href="matlab: coco_recipes_edit canard_demo demo_canard">demo_canard.m</a>  - Figures 20.14-19.
%
% Functions
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_14">figure_20_14.m</a> - Generate figure 20.14.
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_15">figure_20_15.m</a> - Generate figure 20.15.
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_16">figure_20_16.m</a> - Generate figure 20.16.
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_17">figure_20_17.m</a> - Generate figure 20.17.
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_18">figure_20_18.m</a> - Generate figure 20.18.
%   <a href="matlab: coco_recipes_edit canard_demo figure_20_19">figure_20_19.m</a> - Generate figure 20.19.
%
% Other files
%   <a href="matlab: coco_recipes_edit canard_demo vanderpol">vanderpol.m</a>    - 'coll'-compatible encoding of vector field.
%   <a href="matlab: coco_recipes_edit canard_demo lsol_cond">lsol_cond.m</a>    - Condition number test function constructor.
%
% See also <a href="matlab: coco_recipes_doc dft_v1 dft_v1">dft_v1</a>, <a href="matlab: coco_recipes_doc po_v3 po_v3">po_v3</a>, <a href="matlab: coco_recipes_doc coll_v5 coll_v5">coll_v5</a>, <a href="matlab: coco_recipes_doc coll_v6 coll_v6">coll_v6</a>, <a href="matlab: coco_recipes_doc coll_v7 coll_v7">coll_v7</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: Contents.m 2839 2015-03-05 17:09:01Z fschild $
