% Toolbox: 'dft'
% Version:  1.0
% 
% Source:   Sect. 19.3 of Recipes for Continuation
%
% The example in dft_v1_demo illustrates the use of a spectral collocation
% formulation for the continuation of periodic orbits with adaptive
% discretization order.
%
% Scripts
%   <a href="matlab: coco_recipes_edit dft_v1_demo demo_pneta">demo_pneta.m</a>   - Example 19.4.
%   <a href="matlab: coco_recipes_edit dft_v1_demo demo_linode">demo_linode.m</a>  - A linear oscillator [Not in Recipes for Continuation].
%   <a href="matlab: coco_recipes_edit dft_v1_demo demo_chemosc">demo_chemosc.m</a> - A chemical oscillator [Not in Recipes for Continuation].
%
% Functions
%   <a href="matlab: coco_recipes_edit dft_v1_demo figure_19_2">figure_19_2.m</a>  - Generate figure 19.2.
%
% Other files
%   <a href="matlab: coco_recipes_edit dft_v1_demo pneta">pneta.m</a>        - 'dft'-compatible encoding of vector field.
%   <a href="matlab: coco_recipes_edit dft_v1_demo linode">linode.m</a>       - 'dft'-compatible encoding of vector field.
%   <a href="matlab: coco_recipes_edit dft_v1_demo chemosc">chemosc.m</a>      - 'dft'-compatible encoding of vector field.
%
% See also <a href="matlab: coco_recipes_doc dft_v1 dft_v1">dft_v1</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: Contents.m 2839 2015-03-05 17:09:01Z fschild $
