% Recipes for Continuation
% Harry Dankowicz and Frank Schilder
%
% How to use this documentation:
%
% Links:
%   Click on individual links in the Matlab web browser to explore
%   different parts of your copy of the recipes repository.
%
%   Links to tutorial toolboxes, atlas algorithms, classes, and demos take
%   you to deeper into the documentation hierarchy. Use the back button to
%   return to higher levels of the documentation hierarchy.
%
%   Links to scripts or functions open up the corresponding file
%   definitions in the Matlab editor. These contain additional
%   documentation that explains the purpose of the code.
%
%   Demo scripts and functions used to generate figures may be executed
%   directly from the Matlab editor or by typing the corresponding script
%   or function name (without the suffix) on the command line.
%
% Organization:
%   The list of toolboxes and demos ordered by chapter organizes the code
%   by its appearance in Recipes for Continuation. Similarly, the list of
%   demos ordered by figure number organizes the code by its use in
%   generating individual figures in Recipes for Continuation.
%
%   The list of demos ordered by problem name organizes the code by
%   specific problems considered in Recipes for Continuation. This is
%   particularly useful for problems that span multiple instances in the
%   text.
%
% Notes:
%   Typos in Recipes for Continuation that affect the execution of code are
%   corrected and commented upon.
%
%   Note also that the numerical output is machine-dependent and that some
%   figure-generating files may need to be modified in order to accommodate
%   such individual differences.
%
%   All code has been tested on Matlab R2012b.

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: coco_recipes_howto.m 2839 2015-03-05 17:09:01Z fschild $
