% The 'bvp' toolbox.
% Recipes for Continuation
%
% Constructors and instance functions for constrained segment objects
% associated with two-point boundary-value problems of autonomous
% differential equations.
%
% Toolbox development lines:
%   <a href="matlab: coco_recipes_doc bvp_v1 bvp_v1">bvp_v1</a>      - Basic toolbox constructors and argument syntax.
%   <a href="matlab: coco_recipes_doc bvp_v2 bvp_v2">bvp_v2</a>      - User-provided boundary condition data and updates.
%
% Toolbox demos:
%   <a href="matlab: coco_recipes_doc bvp_v1_demo bvp_v1_demo">bvp_v1_demo</a> - Two-point boundary value problems.
%   <a href="matlab: coco_recipes_doc bvp_v2_demo bvp_v2_demo">bvp_v2_demo</a> - Periodic orbits with moving Poincare section. 
%
% See also <a href="matlab: coco_recipes_doc doc recipes_coll">coll</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: recipes_bvp.m 2839 2015-03-05 17:09:01Z fschild $
