% The 'hspo' toolbox.
% Recipes for Continuation
%
% Constructors and instance functions for continuation of periodic orbits
% of hybrid dynamical systems with segment-dependent discretization and
% state-space dimension. Wrapper to the 'msbvp' toolbox.
%
% Toolbox development lines:
%   <a href="matlab: coco_recipes_doc hspo_v1 hspo_v1">hspo_v1</a> - Multisegment periodic orbits.
%   <a href="matlab: coco_recipes_doc hspo_v2 hspo_v2">hspo_v2</a> - Stability and bifurcations analysis.
%
% Toolbox demos:
%   <a href="matlab: coco_recipes_doc hspo_v1_demo hspo_v1_demo">hspo_v1_demo</a> - Piecewise-smooth systems and impact-friction oscillators.
%   <a href="matlab: coco_recipes_doc hspo_v2_demo hspo_v2_demo">hspo_v2_demo</a> - Event handlers for Hopf and period-doubling bifurcations.
%
% See also <a href="matlab: coco_recipes_doc doc recipes_coll">coll</a>, <a href="matlab: coco_recipes_doc doc recipes_po">po</a>,  <a href="matlab: coco_recipes_doc doc recipes_msbvp">msbvp</a>, <a href="matlab: coco_recipes_doc doc recipes_varcoll">varcoll</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: recipes_hspo.m 2839 2015-03-05 17:09:01Z fschild $
