% The 'po' toolbox.
% Recipes for Continuation
%
% Constructors and instance functions for periodic orbit continuation
% problem objects expressed in terms of a single 'coll' toolbox instance,
% periodic boundary conditions, and an integral phase condition.
%
% Toolbox development lines:
%   <a href="matlab: coco_recipes_doc po_v1 po_v1">po_v1</a>      - Periodic orbits toolbox.
%     +- <a href="matlab: coco_recipes_doc po_v3 po_v3">po_v3</a> - Interfaces with adaptive 'coll' toolboxes.
%   <a href="matlab: coco_recipes_doc po_v2 po_v2">po_v2</a>      - Bifurcations of periodic orbits.
%
% Toolbox demos:
%   <a href="matlab: coco_recipes_doc po_v1_demo po_v1_demo">po_v1_demo</a> - An approximate homoclinic bifurcation curve.
%   <a href="matlab: coco_recipes_doc po_v2_demo po_v2_demo">po_v2_demo</a> - Branch switching at period-doubling bifurcations.
%   <a href="matlab: coco_recipes_doc po_v3_demo po_v3_demo">po_v3_demo</a> - Fixed- and variable order moving mesh algorithms.
%
% See also <a href="matlab: coco_recipes_doc doc recipes_coll">coll</a>, <a href="matlab: coco_recipes_doc doc recipes_bvp">bvp</a>, <a href="matlab: coco_recipes_doc doc recipes_hspo">hspo</a>, <a href="matlab: coco_recipes_doc doc recipes_varcoll">varcoll</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: recipes_po.m 2839 2015-03-05 17:09:01Z fschild $
