% The 'varcoll' toolbox.
% Recipes for Continuation
%
% Constructors and instance functions for nonembedded and embedded
% inclusion of the variational problem associated with a 'coll' toolbox
% instance to a continuation problem object, including utility functions
% for computing Floquet multipliers of periodic orbits in smooth and hybrid
% dynamical systems.
%
% Toolbox development lines:
%   <a href="matlab: coco_recipes_doc varcoll_v1 varcoll_v1">varcoll_v1</a> - Variational collocation problem as monitor function.
%   <a href="matlab: coco_recipes_doc varcoll_v2 varcoll_v2">varcoll_v2</a> - Variational collocation problem as zero problem.
%
% Toolbox demos:
%   <a href="matlab: coco_recipes_doc varcoll_v1_demo varcoll_v1_demo">varcoll_v1_demo</a> - Floquet multiplers and stability of periodic orbits.
%   <a href="matlab: coco_recipes_doc varcoll_v2_demo varcoll_v2_demo">varcoll_v2_demo</a> - Equilibrium-periodic orbit heteroclinic connections.
%
% See also <a href="matlab: coco_recipes_doc doc recipes_coll">coll</a>, <a href="matlab: coco_recipes_doc doc recipes_po">po</a>, <a href="matlab: coco_recipes_doc doc recipes_hspo">hspo</a>

% Copyright (C) Frank Schilder, Harry Dankowicz
% $Id: recipes_varcoll.m 2839 2015-03-05 17:09:01Z fschild $
